import { AfterViewInit, EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
export declare class TableComponent implements AfterViewInit {
    _items: any;
    items: any;
    fields: any[];
    options: any;
    action: EventEmitter<any>;
    EOL: string;
    BOM: string;
    DEFAULT_FIELD_SEPARATOR: string;
    form: FormGroup;
    filtersModel: any;
    filters: any[];
    keyword: string;
    displayedItems: any;
    getValue(item: any, fieldId: string, fn?: any): any;
    ngAfterViewInit(): void;
    updateFilters(filter: string, values?: any[]): void;
    search(): void;
    onAction(index: number, type: string, item?: any, subItem?: any): void;
    showWithConditions(action: any, item: any): boolean;
    exportToCSV(): void;
    /**
     * Create Headers
     */
    protected getCSVHeaders(): string;
    /**
     * Create Body
     */
    protected getCSVBody(): string;
}
